aboutsummaryrefslogtreecommitdiff
path: root/src/make.bash
diff options
context:
space:
mode:
Diffstat (limited to 'src/make.bash')
-rwxr-xr-xsrc/make.bash8
1 files changed, 7 insertions, 1 deletions
diff --git a/src/make.bash b/src/make.bash
index 3580d2a0bd..83c1db4f48 100755
--- a/src/make.bash
+++ b/src/make.bash
@@ -78,12 +78,18 @@ done
bash "$GOROOT"/src/clean.bash
# pkg builds libcgo and the Go programs in cmd.
-for i in lib9 libbio libmach cmd pkg
+for i in lib9 libbio libmach cmd
do
echo; echo; echo %%%% making $i %%%%; echo
gomake -C $i install
done
+echo; echo; echo %%%% making runtime generated files %%%%; echo
+(cd "$GOROOT"/src/pkg/runtime; ./autogen.sh) || exit 1
+
+echo; echo; echo %%%% making pkg %%%%; echo
+gomake -C pkg install
+
# Print post-install messages.
# Implemented as a function so that all.bash can repeat the output
# after run.bash finishes running all the tests.